// UserTranslate.h : Declaration of the CUserTranslate

#ifndef __USERTRANSLATE_H_
#define __USERTRANSLATE_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CUserTranslate
class ATL_NO_VTABLE CUserTranslate : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CUserTranslate, &CLSID_UserTranslate>,
	public IDispatchImpl<IUserTranslate, &IID_IUserTranslate, &LIBID_USERINFOLib>
{
public:
	CUserTranslate()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_USERTRANSLATE)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CUserTranslate)
	COM_INTERFACE_ENTRY(IUserTranslate)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IUserTranslate
public:
	STDMETHOD(getDisplayBySAM)(BSTR logon, /*[out, retval]*/ BSTR *pVal);

protected:
	HRESULT _translateName(EXTENDED_NAME_FORMAT fromFormat, EXTENDED_NAME_FORMAT toFormat, _bstr_t in, _bstr_t &out);

};

#endif //__USERTRANSLATE_H_
